| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Audio_StdDescriptor_OutputTerminal_t Struct Reference
Common Class Definitions

Audio class-specific Output Terminal Descriptor (USB-IF naming conventions). More...

`#include <AudioClassCommon.h>`

## Data Fields
uint8_t | bAssocTerminal
uint8_t | bDescriptorSubtype
uint8_t | bDescriptorType
uint8_t | bLength
uint8_t | bSourceID
uint8_t | bTerminalID
uint8_t | iTerminal
uint16_t | wTerminalType

## Detailed Description

Type define for an Audio class-specific output terminal descriptor. This indicates to the host that the device contains an output audio sink, either to a physical terminal on the device, or a logical terminal (for example, a USB endpoint). See the USB Audio specification for more details.

See also
  USB_Audio_Descriptor_OutputTerminal_t for the version of this type with non-standard LUFA specific element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_Audio_StdDescriptor_OutputTerminal_t::bAssocTerminal

ID of associated input terminal, for physically grouped terminals such as the speaker and microphone of a phone handset.

uint8_t USB_Audio_StdDescriptor_OutputTerminal_t::bDescriptorSubtype

Sub type value used to distinguish between audio class-specific descriptors, a value from the Audio_CSInterface_AC_SubTypes_t enum.

uint8_t USB_Audio_StdDescriptor_OutputTerminal_t::bDescriptorType

Sub type value used to distinguish between audio class-specific descriptors, must be AUDIO_DSUBTYPE_CSInterface_OutputTerminal.

uint8_t USB_Audio_StdDescriptor_OutputTerminal_t::bLength

Size of the descriptor, in bytes.

uint8_t USB_Audio_StdDescriptor_OutputTerminal_t::bSourceID

ID value of the unit this terminal's audio is sourced from.

uint8_t USB_Audio_StdDescriptor_OutputTerminal_t::bTerminalID

ID value of this terminal unit - must be a unique value within the device.

uint8_t USB_Audio_StdDescriptor_OutputTerminal_t::iTerminal

Index of a string descriptor describing this descriptor within the device.

uint16_t USB_Audio_StdDescriptor_OutputTerminal_t::wTerminalType

Type of terminal, a `TERMINAL_*` mask.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Common/AudioClassCommon.h